List Fan Voices
curl --request GET \
--url https://api.dizplai.com/v1/fan-voices \
--header 'x-api-key: <api-key>'import requests
url = "https://api.dizplai.com/v1/fan-voices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.dizplai.com/v1/fan-voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dizplai.com/v1/fan-voices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dizplai.com/v1/fan-voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dizplai.com/v1/fan-voices")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dizplai.com/v1/fan-voices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "0192fa7b-a1a5-7ae6-8820-782ce84e0f49",
"type": "fan_voice",
"status": "live",
"starts_at": null,
"ends_at": null,
"metadata": {
"event_id": "ev_2041"
},
"locale": "en-GB",
"created_at": "2026-11-20T15:02:11Z",
"updated_at": "2026-11-21T20:41:07Z",
"requires_sign_in": false,
"prompt": "What's your message for the team?",
"placeholder": "Type your message",
"confirmation_message": "Thanks! Your message is with the team.",
"kinds": [
"text",
"voice",
"image"
],
"limits": {
"max_text_length": 280,
"per_fan": {
"text": 3,
"voice": 1,
"image": 1
}
}
}
],
"next": null
}Fan Voices
List Fan Voices
Lists Fan Voices only, for a screen that shows nothing else. To list polls and Fan Voices together, use List experiences.
GET
/
fan-voices
List Fan Voices
curl --request GET \
--url https://api.dizplai.com/v1/fan-voices \
--header 'x-api-key: <api-key>'import requests
url = "https://api.dizplai.com/v1/fan-voices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.dizplai.com/v1/fan-voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dizplai.com/v1/fan-voices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dizplai.com/v1/fan-voices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dizplai.com/v1/fan-voices")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dizplai.com/v1/fan-voices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "0192fa7b-a1a5-7ae6-8820-782ce84e0f49",
"type": "fan_voice",
"status": "live",
"starts_at": null,
"ends_at": null,
"metadata": {
"event_id": "ev_2041"
},
"locale": "en-GB",
"created_at": "2026-11-20T15:02:11Z",
"updated_at": "2026-11-21T20:41:07Z",
"requires_sign_in": false,
"prompt": "What's your message for the team?",
"placeholder": "Type your message",
"confirmation_message": "Thanks! Your message is with the team.",
"kinds": [
"text",
"voice",
"image"
],
"limits": {
"max_text_length": 280,
"per_fan": {
"text": 3,
"voice": 1,
"image": 1
}
}
}
],
"next": null
}Authorizations
Query Parameters
Which statuses to return, comma-separated, such as scheduled,live to show what's coming up as well. live by default. scheduled: coming up, and goes live at starts_at. live: taking votes or messages. closed: taking part has stopped; it can reopen. Experiences your producers take down or delete are never returned.
Available options:
scheduled, live, closed Response
A page of Fan Voices: in the collection's order if you filter by collection_id, otherwise newest first.

